<%@ Page Language="C#" %>
<%@ Import namespace="System.IO" %>

<script language="C#" runat="server">

protected void Page_Load(object sender, EventArgs e)
{
  try
  {
    String baseDirectory = "c:\\temp";
    String uploadDirectory = Request["directory"];
    String folders;
    HttpPostedFile PostedFile;

    if (uploadDirectory != null && uploadDirectory != "")
    {
      folders = Path.Combine(baseDirectory, uploadDirectory);
    }
    else
    {
      folders = baseDirectory;
    }

    for (int i = 0; i < Request.Files.Count; i++)
    {
      PostedFile = Request.Files[i];

      // Creates the full path
      String filePath = Path.Combine(folders, PostedFile.FileName);

      // Create the directories
      DirectoryInfo dir = new DirectoryInfo(Path.GetDirectoryName(filePath));
      dir.Create();

      // Save the uploaded file
      PostedFile.SaveAs(filePath);
    }
  }
  catch(Exception ex)
  {
    // Internal server error
    Response.StatusCode = 500;
    Response.Status = "500 Error: " + ex.ToString();
  }
}
</script>


